## ros-kinetic-tablet-socket-msgs 1.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tablet_socket_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS std_msgs message_generation)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  Waypoint.msg
  error_info.msg
  gear_cmd.msg
  mode_cmd.msg
  mode_info.msg
  route_cmd.msg
)

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES std_msgs 
)

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
# generate_dynamic_reconfigure_options(
#   cfg/DynReconf1.cfg
#   cfg/DynReconf2.cfg
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES tablet_socket_msgs
  CATKIN_DEPENDS message_runtime std_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)

## Declare a C++ library
# add_library(tablet_socket_msgs
#   src/${PROJECT_NAME}/tablet_socket_msgs.cpp
# )

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
# add_dependencies(tablet_socket_msgs ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Declare a C++ executable
# add_executable(tablet_socket_msgs_node src/tablet_socket_msgs_node.cpp)

## Add cmake target dependencies of the executable
## same as for the library above
# add_dependencies(tablet_socket_msgs_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
# target_link_libraries(tablet_socket_msgs_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS tablet_socket_msgs tablet_socket_msgs_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_tablet_socket_msgs.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-kinetic-tablet-socket-msgs (1.12.0-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Fri, 12 Jul 2019 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.11.0-1xenial) xenial; urgency=high

  * Fix license notice in corresponding package.xml
  * Contributors: amc-nu

 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 21 Mar 2019 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.10.0-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 17 Jan 2019 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.9.1-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Tue, 06 Nov 2018 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.9.0-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Wed, 31 Oct 2018 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.8.0-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Fri, 31 Aug 2018 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.7.0-1xenial) xenial; urgency=high

  * update Version from 1.6.3 to 1.7.0 in package.xml and CHANGELOG.rst
  * [fix] Fixes for all packages and dependencies (#1240 <https://github.com/CPFL/Autoware/pull/1240>)
    * Initial Cleanup
    * fixed also for indigo
    * kf cjeck
    * Fix road wizard
    * Added travis ci
    * Trigger CI
    * Fixes to cv_tracker and lidar_tracker cmake
    * Fix kitti player dependencies
    * Removed unnecessary dependencies
    * messages fixing for can
    * Update build script travis
    * Travis Path
    * Travis Paths fix
    * Travis test
    * Eigen checks
    * removed unnecessary dependencies
    * Eigen Detection
    * Job number reduced
    * Eigen3 more fixes
    * More Eigen3
    * Even more Eigen
    * find package cmake modules included
    * More fixes to cmake modules
    * Removed non ros dependency
    * Enable industrial_ci for indidog and kinetic
    * Wrong install command
    * fix rviz_plugin install
    * FastVirtualScan fix
    * Fix Qt5 Fastvirtualscan
    * Fixed qt5 system dependencies for rosdep
    * NDT TKU Fix catkin not pacakged
    * More in detail dependencies fixes for more packages
    * GLEW library for ORB
    * Ignore OrbLocalizer
    * Ignore Version checker
    * Fix for driveworks interface
    * driveworks not catkinpackagedd
    * Missing catkin for driveworks
    * libdpm opencv not catkin packaged
    * catkin lib gnss  not included in obj_db
    * Points2Polygon fix
    * More missing dependencies
    * image viewer not packaged
    * Fixed SSH2 detection, added viewers for all distros
    * Fix gnss localizer incorrect dependency config
    * Fixes to multiple packages dependencies
    * gnss plib and package
    * More fixes to gnss
    * gnss dependencies for gnss_loclaizer
    * Missing gnss dependency for gnss on localizer
    * More fixes for dependencies
    Replaced gnss for autoware_gnss_library
    * gnss more fixes
    * fixes to more dependencies
    * header dependency
    * Debug message
    * more debug messages changed back to gnss
    * debud messages
    * gnss test
    * gnss install command
    * Several fixes for OpenPlanner and its lbiraries
    * Fixes to ROSInterface
    * More fixes to robotsdk and rosinterface
    * robotsdk calibration fix
    * Fixes to rosinterface robotsdk libraries and its nodes
    * Fixes to Qt5 missing dependencies in robotsdk
    * glviewer missing dependencies
    * Missing qt specific config cmake for robotsdk
    * disable cv_tracker
    * Fix to open planner un needed dependendecies
    * Fixes for libraries indecision maker
    * Fixes to libraries decision_maker installation
    * Gazebo on Kinetic
    * Added Missing library
    * * Removed Gazebo and synchonization packages
    * Renames vmap in lane_planner
    * Added installation commands for missing pakcages
    * Fixes to lane_planner
    * Added NDT TKU Glut extra dependencies
    * ndt localizer/lib fast pcl fixes
    re enable cv_tracker
    * Fix kf_lib
    * Keep industrial_ci
    * Fixes for dpm library
    * Fusion lib fixed
    * dpm and fusion header should match exported project name
    * Fixes to dpm_ocv  ndt_localizer and pcl_omp
    * no fast_pcl anymore
    * fixes to libdpm and its package
    * CI test
    * test with native travis ci
    * missing update for apt
    * Fixes to pcl_omp installation and headers
    * Final fixes for tests, modified README
    * * Fixes to README
    * Enable industrial_ci
    * re enable native travis tests
  * Contributors: Abraham Monrroy, Kosuke Murakami

 -- Shohei Fujii <fujii.shohei@gmail.com>  Fri, 18 May 2018 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.6.3-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Tue, 06 Mar 2018 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.6.2-1xenial) xenial; urgency=high

  * Update CHANGELOG
  * Contributors: Yusuke FUJII

 -- Shohei Fujii <fujii.shohei@gmail.com>  Tue, 27 Feb 2018 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.6.1-1xenial) xenial; urgency=high

  * update CHANGELOG
  * Contributors: Yusuke FUJII

 -- Shohei Fujii <fujii.shohei@gmail.com>  Sat, 20 Jan 2018 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.6.0-1xenial) xenial; urgency=high

  * Prepare release for 1.6.0
  * Contributors: Yamato ANDO

 -- Shohei Fujii <fujii.shohei@gmail.com>  Mon, 11 Dec 2017 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.5.1-1xenial) xenial; urgency=high

  * Release/1.5.1 (#816 <https://github.com/cpfl/autoware/issues/816>)
    * fix a build error by gcc version
    * fix build error for older indigo version
    * update changelog for v1.5.1
    * 1.5.1
  * Contributors: Yusuke FUJII

 -- Shohei Fujii <fujii.shohei@gmail.com>  Mon, 25 Sep 2017 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.5.0-1xenial) xenial; urgency=high

  * Update changelog
  * Contributors: Yusuke FUJII

 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 21 Sep 2017 05:00:00 -0000



=== debian/control ===
Source: ros-kinetic-tablet-socket-msgs
Section: misc
Priority: extra
Maintainer: Shohei Fujii <fujii.shohei@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-tablet-socket-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: The tablet_socket_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-tablet-socket-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
